[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TGuidHelper.ToByteArray

Convert to array of bytes

## Declaration

Source position: syshelph.inc line 46

`function TGuidHelper.ToByteArray(`
`DataEndian: TEndian = CPUEndian`
`):TBytes;`

## Description

ToByteArray converts the TGUID to an array of bytes (of length SizeOf(TGUID)). The bytes will be ordered according to DataEndian.

## See also

TGUIDHelper.ToString |  | Convert to string
TGUIDHelper.Create |  | Initialize a TGUID instance from data.